Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm.activity
Interface SwarmProcess

All Known Subinterfaces:
  GUISwarm, Swarm

All Known Implementing Classes:
  SwarmImpl

public interface SwarmProcess
extends ActionType, ActionTypeS, Zone, ZoneS, SynchronizationType, SynchronizationTypeS

An object that holds a collection of concurrent subprocesses.. SwarmProcess inherits the messages of both ActionType and Zone. Inheritance of zone behavior means that a swarm can be used as the argument of a create: or createBegin: message, for creation of an object within the internal zone of a swarm. Unlike other action types, swarms and swarm activities always exist in a one-to-one relationship, provided that the swarm has been activated. This restriction to a single activity enables the swarm to do double-duty as a custom object that provides its own interface to the activities running within the swarm.

Method Summary
`SwarmActivity` | `getActivity()` getActivity returns the activity which is currently running of subactivities within the swarm.
`java.lang.Object` | `getInternalZone()` getInternalZone returns a Zone object that is used by the swarm to hold its internal objects.

Methods inherited from interface swarm.activity.ActionType
`activateIn`

Methods inherited from interface swarm.defobj.Zone
`allocIVars, allocIVarsComponent, copyIVars, copyIVarsComponent, describeForEach, describeForEachID, freeIVars, freeIVarsComponent, getComponentZone, getPageSize, getPopulation`

Methods inherited from interface swarm.activity.SynchronizationType
`getSynchronizationType`

Methods inherited from interface swarm.defobj.Drop
`drop`

Methods inherited from interface swarm.defobj.DefinedObject
`compare, describe, describeID, getDisplayName, getTypeName, getZone, perform, perform$with, perform$with$with, perform$with$with$with, respondsTo, setDisplayName, xfprint, xfprintid, xprint, xprintid`

Methods inherited from interface swarm.defobj.GetName
`getName`

Method Detail

### getInternalZone

    public java.lang.Object getInternalZone()

  getInternalZone returns a Zone object that is used by the swarm to hold its internal objects. Even though the swarm itself inherits from Zone and can be used as a Zone for nearly all purposes, this message is also provided so that the zone itself can be obtained independent of all zone behavior.

### getActivity

    public SwarmActivity getActivity()

  getActivity returns the activity which is currently running of subactivities within the swarm. This activity is the same as the value returned by activateIn: when the swarm was first activated. It returns nil if the swarm has not yet been activated.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD